import request from '@/utils/request'

// 查询建设规划许可证列表
export function listHomeapplyxcjsghxkz(query) {
  return request({
    url: '/home/homeapplyxcjsghxkz/list',
    method: 'get',
    params: query
  })
}

// 导出建设规划许可证
export function exportHomeapplyxcjsghxkz(query) {
  return request({
    url: '/home/homeapplyxcjsghxkz/export',
    method: 'get',
    params: query
  })
}

// 查询建设规划许可证详细
export function getHomeapplyxcjsghxkz(id) {
  return request({
    url: '/home/homeapplyxcjsghxkz/get/' + id,
    method: 'get'
  })
}

// 新增建设规划许可证
export function addHomeapplyxcjsghxkz(data) {
  return request({
    url: '/home/homeapplyxcjsghxkz/add',
    method: 'post',
    data: data
  })
}

// 修改建设规划许可证
export function updateHomeapplyxcjsghxkz(data) {
  return request({
    url: '/home/homeapplyxcjsghxkz/edit',
    method: 'post',
    data: data
  })
}

// 删除建设规划许可证
export function delHomeapplyxcjsghxkz(id) {
  return request({
    url: '/home/homeapplyxcjsghxkz/remove/' + id,
    method: 'get'
  })
}

